// Program  lx_test75.cpp;
// Test of acos(z);

#include <iostream>       
#include "lx_cimath.hpp"

using namespace cxsc;
using namespace std;

int main()
{
    stagprec = 30; 
    lx_cinterval z,w;
    lx_interval x,y;
    string s;

    x = 1 + lx_interval(-2095,l_interval(1));
    y = lx_interval(+9007199254739969.0,l_interval(1));
    z = lx_cinterval(x,y);
    w = acos(z);
    cout << SetDotPrecision(16*stagprec,16*stagprec+10) 
         << Scientific;
    s << w;
    cout << "acos(z) = " << s << endl;
} 
