// Program  lx_test80.cpp;
// Test of sqrt1px2(z) = sqrt(1+z^2);

#include <iostream>       
#include "lx_cimath.hpp"

using namespace cxsc;
using namespace std;

int main()
{
    stagprec = 30; 
    lx_cinterval z,w;
    lx_interval x,y;

	 x = lx_interval(-9007199254737872.0,l_interval(1,1));
    y = lx_interval(0,l_interval(1,1));
    z = lx_cinterval(x,y);
	 
    w = sqrt1px2(z);
	 
    cout << SetDotPrecision(16*stagprec,16*stagprec) 
         << Scientific;
	 
    cout << "sqrt1px2(z) = " << w << endl;
} 
